import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetAllocatedCarsService = createAsyncThunk(
  "SLAUGHTER_GET_ALLOCATED_CARS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house_request/?operator=KillHouse",
      {
        params: {
          role: getRoleFromUrl(),
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role_key: d.role_key || "",
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
